Using Python Plugins with blender


(emtilt) #1

OK, I’ve been using blender for a little more than a year, but I have never used the Python plugins for blender. My question is, what do I have to do to use them and how do I use them? Do i need to download and install something for Python? Also, I am currently using Blender version 2.20, will I have to upgrade to the last release of blender?


(theeth) #2

You don’t have to download Python if the scripts wou want to use don’t need some of its modules. If they do, try getting Python 2.01, as it is the most compatible version (http://www.python.org/ in the Download section).

As for the Blender version, that depends on whether or not the API changed between 2.20 and 2.23. As far as I know, some bugs might have been fixes, but not truely new features. I could be wrong, of course.

Regarding how to use them, well, there are three types of Python scripts. Stand Alone scripts (with or without a GUI), Runtime scripts (you need to link it with a Scriptlink) and GameBlender scripts (you need to link it in some way, I never used those). For stand alone script, just load it in a Text window (in Blender), put your mouse over it and press Alt-P. In general, there should be some info that comes with the scripts (or on that same web page) on how to use it.

Martin